error_gB12=reshape(error_gB(1,2,6,:),[],1);
error_gB13=reshape(error_gB(1,3,6,:),[],1);
error_gB21=reshape(error_gB(2,1,6,:),[],1);
error_GB121=reshape(error_GB(1,2,1,6,:),[],1);
error_GB112=reshape(error_GB(1,1,2,6,:),[],1);
error_GB222=reshape(error_GB(2,2,2,6,:),[],1);
error_GB113=reshape(error_GB(1,1,3,6,:),[],1);
error_GB223=reshape(error_GB(2,2,3,6,:),[],1);
figure('Color','w','units','pixels','position',[50,50,800,800],'paperunits','centimeters','papersize',[21,29.7])
panel_width=0.35;
panel_height=0.4;
panel_gap=0.06;
left=0.1;
bottom=0.08;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define a CVD-friendly color order with ten distinct colors
cvdColorOrder = [
    230/255, 159/255, 0;  % Orange
    86/255, 180/255, 233/255; % Sky Blue
    0, 158/255, 115/255; % Bluish Green
    213/255, 94/255, 0; % Vermillion
    0, 114/255, 178/255; % Blue
    204/255, 121/255, 167/255; % Reddish Purple
    153/255, 153/255, 153/255; % Gray
    117/255, 112/255, 179/255; % Purplish Blue
    240/255, 228/255, 66/255; % Yellow
    0, 0, 0;         % Black
];
colororder(cvdColorOrder)     % Set the color order for the current figure
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot('position',[left,bottom+(panel_height+panel_gap),panel_width,panel_height]);
error_gB_plot=[error_gB21,error_gB12,error_gB13];
plot(1:iteration_n,error_gB_plot,'LineWidth',1)
legend('\partialBx/\partialy','\partialBy/\partialx','\partialBz/\partialx')
xlabel('Iteration (count)')
ylabel('Errors (%)')
axis([0,200,0,0.2])
text(5,0.18,'barycenter at (-1.8, 0, 0)')
text(1,0.195,'(a)')

subplot('position',[left+(panel_width+2*panel_gap),bottom+(panel_height+panel_gap),panel_width,panel_height]);
error_GB_plot=[error_GB121,error_GB112,error_GB222,error_GB113,error_GB223];
plot(1:iteration_n,error_GB_plot,'LineWidth',1)
legend('\partial^2Bx/\partialx\partialy','\partial^2By/\partialx^2','\partial^2By/\partialy^2',...
       '\partial^2Bz/\partialx^2','\partial^2Bz/\partialy^2')
xlabel('Iteration (count)')
ylabel('Errors (%)')
axis([0,200,0,1.5])
text(5,1.35,'barycenter at (-1.8, 0, 0)')
text(1,1.4625,'(b)')

error_gB12=reshape(error_gB(1,2,76,:),[],1);
error_gB13=reshape(error_gB(1,3,76,:),[],1);
error_gB21=reshape(error_gB(2,1,76,:),[],1);
error_GB121=reshape(error_GB(1,2,1,76,:),[],1);
error_GB112=reshape(error_GB(1,1,2,76,:),[],1);
error_GB222=reshape(error_GB(2,2,2,76,:),[],1);
error_GB113=reshape(error_GB(1,1,3,76,:),[],1);
error_GB223=reshape(error_GB(2,2,3,76,:),[],1);

subplot('position',[left,bottom,panel_width,panel_height]);
error_gB_plot=[error_gB21,error_gB12,error_gB13];
plot(1:iteration_n,error_gB_plot,'LineWidth',1)
legend('\partialBx/\partialy','\partialBy/\partialx','\partialBz/\partialx')
xlabel('Iteration (count)')
ylabel('Errors (%)')
axis([0,200,0,0.2])
text(5,0.18,'barycenter at (1, 0, 0)')
text(1,0.195,'(c)')

subplot('position',[left+(panel_width+2*panel_gap),bottom,panel_width,panel_height]);
error_GB_plot=[error_GB121,error_GB112,error_GB222,error_GB113,error_GB223];
plot(1:iteration_n,error_GB_plot,'LineWidth',1)
legend('\partial^2Bx/\partialx\partialy','\partial^2By/\partialx^2','\partial^2By/\partialy^2',...
       '\partial^2Bz/\partialx^2','\partial^2Bz/\partialy^2','location','east')
axis([0,200,0,1.5])
xlabel('Iteration (count)')
ylabel('Errors (%)')
text(5,1.35,'barycenter at (1, 0, 0)')
text(1,1.4625,'(d)')
print('Fluxrope_error_gB_200','-dpdf','-bestfit')
close

error_gB12t=reshape(error_gB(1,2,:,end),[],1);
error_gB13t=reshape(error_gB(1,3,:,end),[],1);
error_gB21t=reshape(error_gB(2,1,:,end),[],1);
error_GB121t=reshape(error_GB(1,2,1,:,end),[],1);
error_GB112t=reshape(error_GB(1,1,2,:,end),[],1);
error_GB222t=reshape(error_GB(2,2,2,:,end),[],1);
error_GB113t=reshape(error_GB(1,1,3,:,end),[],1);
error_GB223t=reshape(error_GB(2,2,3,:,end),[],1);
figure('Color','w','units','pixels','position',[50,50,900,500],'paperunits','centimeters','papersize',[21,29.7])
panel_width=0.35;
panel_height=0.8;
panel_gap=0.12;
left=0.1;
bottom=0.1;
colororder(cvdColorOrder)     % Set the color order for the current figure
subplot('position',[left,bottom,panel_width,panel_height]);
plot(tc,error_gB21t,'LineWidth',1)
hold on
plot(tc,error_gB12t,'LineWidth',1)
plot(tc,error_gB13t,'LineWidth',1)
axis([0,110,0,0.08])
xlabel('Time (s)')
ylabel('Errors (%)')
legend('\partialBx/\partialy','\partialBy/\partialx','\partialBz/\partialx')
text(1.1,0.078,'(a)')
text(-11,-0.006,'barycenter','HorizontalAlignment','right')
text(0,-0.006,'(-2,0,0)','HorizontalAlignment','center')
text(101,-0.006,'(2,0,0)','HorizontalAlignment','center')

subplot('position',[left+(panel_width+panel_gap),bottom,panel_width,panel_height]);
plot(tc,error_GB121t,'LineWidth',1)
hold on
plot(tc,error_GB112t,'LineWidth',1)
plot(tc,error_GB222t,'LineWidth',1)
plot(tc,error_GB113t,'LineWidth',1)
plot(tc,error_GB223t,'LineWidth',1)
axis([0,110,0,15])
xlabel('Time (s)')
ylabel('Errors (%)')
legend('\partial^2Bx/\partialx\partialy','\partial^2By/\partialx^2','\partial^2By/\partialy^2',...
       '\partial^2Bz/\partialx^2','\partial^2Bz/\partialy^2')
text(1.1,14.625,'(b)')
text(0,-1.1,'(-2,0,0)','HorizontalAlignment','center')
text(101,-1.1,'(2,0,0)','HorizontalAlignment','center')
% print('Fluxrope_error_t','-dpdf','-bestfit')
% close

figure('Color','w','units','pixels','position',[50,50,730,900],'paperunits','centimeters','papersize',[21,29.7])
panel_width=0.35;
panel_height=0.2;
panel_gap=0.02;
left=0.1;
bottom=0.08;
subplot('position',[left,bottom+3*(panel_height+panel_gap),panel_width,panel_height]);
plot(tc,reshape(dB(2,1,:,end),[],1),'k','LineWidth',1)
hold on;
plot(tc,reshape(gB(2,1,:,end),[],1),'o','color','[0 0.4470 0.7410]','MarkerSize',4)
xlim([0,110])
set(gca,'XTickLabel',{' '})
ylabel({'\partialBx/\partialy','(nT\cdotR_E^{-2})'})
legend({'Accurate','Algorithm'},'Location','north');
text(1.1,-15.375,'(a)')

subplot('position',[left+(panel_width+6*panel_gap),bottom+3*(panel_height+panel_gap),panel_width,panel_height]);
plot(tc,reshape(dB(1,2,:,end),[],1),'k','LineWidth',1)
hold on;
plot(tc,reshape(gB(1,2,:,end),[],1),'o','color','[0 0.4470 0.7410]','MarkerSize',4)
xlim([0,110])
set(gca,'XTickLabel',{' '})
ylabel({'\partialBy/\partialx','(nT\cdotR_E^{-2})'})
text(1.1,29,'(b)')

subplot('position',[left,bottom+2*(panel_height+panel_gap),panel_width,panel_height]);
plot(tc,reshape(dB(1,3,:,end),[],1),'k','LineWidth',1)
hold on;
plot(tc,reshape(gB(1,3,:,end),[],1),'o','color','[0 0.4470 0.7410]','MarkerSize',4)
xlim([0,110])
set(gca,'XTickLabel',{' '})
ylabel({'\partialBz/\partialx','(nT\cdotR_E^{-2})'})
text(1.1,38,'(c)')

subplot('position',[left+(panel_width+6*panel_gap),bottom+2*(panel_height+panel_gap),panel_width,panel_height]);
plot(tc,reshape(ddB(1,2,1,:,end),[],1),'k','LineWidth',1)
hold on;
plot(tc,reshape(GB(1,2,1,:,end),[],1),'o','color','[0 0.4470 0.7410]','MarkerSize',4)
xlim([0,110])
set(gca,'XTickLabel',{' '})
ylabel({'\partial^2Bx/\partialx\partialy','(nT\cdotR_E^{-2})'})
text(1.1,14.25,'(d)')

subplot('position',[left,bottom+1*(panel_height+panel_gap),panel_width,panel_height]);
plot(tc,reshape(ddB(1,1,2,:,end),[],1),'k','LineWidth',1)
hold on;
plot(tc,reshape(GB(1,1,2,:,end),[],1),'o','color','[0 0.4470 0.7410]','MarkerSize',4)
xlim([0,110])
set(gca,'XTickLabel',{' '})
ylabel({'\partial^2By/\partialx^2','(nT\cdotR_E^{-2})'})
text(1.1,28.5,'(e)')

subplot('position',[left+(panel_width+6*panel_gap),bottom+1*(panel_height+panel_gap),panel_width,panel_height]);
plot(tc,reshape(ddB(2,2,2,:,end),[],1),'k','LineWidth',1)
hold on;
plot(tc,reshape(GB(2,2,2,:,end),[],1),'o','color','[0 0.4470 0.7410]','MarkerSize',4)
xlim([0,110])
set(gca,'XTickLabel',{' '})
ylabel({'\partial^2By/\partialy^2','(nT\cdotR_E^{-2})'})
text(1.1,14.25,'(f)')

subplot('position',[left,bottom,panel_width,panel_height]);
plot(tc,reshape(ddB(1,1,3,:,end),[],1),'k','LineWidth',1)
hold on;
plot(tc,reshape(GB(1,1,3,:,end),[],1),'o','color','[0 0.4470 0.7410]','MarkerSize',4)
xlim([0,110])
xlabel('Time (s)')
ylabel({'\partial^2Bz/\partialx^2','(nT\cdotR_E^{-2})'})
text(1.1,9,'(g)')

subplot('position',[left+(panel_width+6*panel_gap),bottom,panel_width,panel_height]);
plot(tc,reshape(ddB(2,2,3,:,end),[],1),'k','LineWidth',1)
hold on;
plot(tc,reshape(GB(2,2,3,:,end),[],1),'o','color','[0 0.4470 0.7410]','MarkerSize',4)
xlim([0,110])
xlabel('Time (s)')
ylabel({'\partial^2Bz/\partialy^2','(nT\cdotR_E^{-2})'})
text(1.1,-15.375,'(h)')
% print('-dpdf','Fluxrope')
% close