figure('Color','w','units','pixels','position',[50,50,900,500],'paperunits','centimeters','papersize',[21,29.7])
panel_width=0.36;
panel_height=0.8;
panel_gap=0.1;
left=0.1;
bottom=0.1;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define a CVD-friendly color order with ten distinct colors
cvdColorOrder = [
    230/255, 159/255, 0;  % Orange
    86/255, 180/255, 233/255; % Sky Blue
    0, 158/255, 115/255; % Bluish Green
    213/255, 94/255, 0; % Vermillion
    0, 114/255, 178/255; % Blue
    204/255, 121/255, 167/255; % Reddish Purple
    153/255, 153/255, 153/255; % Gray
    117/255, 112/255, 179/255; % Purplish Blue
    240/255, 228/255, 66/255; % Yellow
    0, 0, 0;         % Black
];
colororder(cvdColorOrder)     % Set the color order for the current figure
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot('position',[left,bottom,panel_width,panel_height]);
plot(L,nondim_divB(10:20:120,:))
xlim([0,0.06])
ylim([-6 8]*1e-4)
legend('t=10 s','t=30 s','t=50 s','t=70 s','t=90 s','t=110 s','Location','northwest')
text(0.03,7.65*1e-4,'(a)')
xlabel('L (R_E)')
ylabel({'$ (\overline{\nabla}\cdot \overline{\bf{B}})_c $'},'interpreter','latex')

subplot('position',[left+(panel_width+panel_gap),bottom,panel_width,panel_height]);
plot(L,nondim_grad_divB(10:20:120,:))
xlim([0,0.06])
ylim([0 0.4])
legend('t=10 s','t=30 s','t=50 s','t=70 s','t=90 s','t=110 s','Location','northwest')
text(0.03,0.39,'(b)')
text(-0.015,0.425,'Dipole Field')
xlabel('L (R_E)')
ylabel({'$ |\overline{\nabla}(\overline{\nabla}\cdot \overline{\bf{B}})_c| $'},'interpreter','latex')
% print('Dipole_order','-dpdf','-bestfit')